import { Injectable } from '@nestjs/common'

import { chatReason } from '@/module/service/tencentcloud.service'
import { buildSqlPrompt } from '@/prompt/sql-prompt/sql'

@Injectable()
export class SqlAgentService {
  async chat(chat: string) {
    const chatPrompt = buildSqlPrompt(chat)
    return await chatReason(JSON.stringify(chatPrompt))
  }
}
