import { Injectable } from '@nestjs/common'

import { chatReason } from '@/module/service/tencentcloud.service'
import { longTerm, shortTerm, conversation } from '@/utils/prompt.util'

@Injectable()
export class TencentCloudService {
  historyProfile

  async chat(historyChat, chat) {
    this.historyProfile = await chatReason(
      longTerm(this.historyProfile, chat, historyChat)
    )

    const intente = await chatReason(
      shortTerm(this.historyProfile, chat, historyChat)
    )

    const answer = await chatReason(
      conversation(this.historyProfile, intente, chat, historyChat)
    )

    return answer
  }
}
